Subject: [bug#49431] [PATCH maintenance.git] nginx: berlin: Redirect old video URLs for each language.

From: Luis Felipe <[email-masked]>
Date: Wed, 07 Jul 2021 17:51:54 +0000

Hi Florian,

On Tuesday, July 6th, 2021 at 6:53 AM, pelzflorian (Florian Pelz) <[email-masked]> wrote:

> This patch adds redirects for the guix website from the old video URLs
>
> like
>
> /LANG/videos/everyday-use-of-gnu-guix,-part-one/index.html
>
> /LANG/videos/everyday-use-of-gnu-guix,-part-one/
>
> /LANG/videos/everyday-use-of-gnu-guix,-part-one
>
> to the new
>
> /LANG/videos/2020/everyday-use-of-gnu-guix-part-one/
>
> but maybe the patch is too ugly because that’s code duplication to
>
> have three added redirections for each video. Note that my old
>
> videos page actually linked to
>
> </LANG/videos/everyday-use-of-gnu-guix,-part-one/index.html> and not
>
> </LANG/videos/everyday-use-of-gnu-guix,-part-one/> as usual.
>
> Shall I push it as-is to guix/maintenance.git,
>
> or do you think it would be better to rewrite the redirect procedure
>
> to return a list to redirect every URL with suffixes
>
> ""
>
> "/"
>
> "/index.html"
>
> and change guix.gnu.org-locations accordingly to flatten the location
>
> list?

I took a look at the patch, but I'm not familiar with the server-side of things, so there's not much I can say except that I trust your judgement on this :)

Thanks for taking care of it.